%define upstream_name    Term-Table
%define upstream_version 0.024

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Break up lines for use in tables
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

# Tests:

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
This is used by some failing tests to provide diagnostics about what has
gone wrong. This module is able to generic format rows of data into tables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jan 24 2025 tv <tv> 0.24.0-1.mga10
+ Revision: 2141958
- update to 0.024

* Sat Aug 24 2024 tv <tv> 0.22.0-1.mga10
+ Revision: 2090884
- update to 0.022

* Sat Oct 28 2023 tv <tv> 0.18.0-1.mga10
+ Revision: 2002459
- update to 0.018

* Mon Sep 18 2023 tv <tv> 0.17.0-1.mga10
+ Revision: 1987674
- update to 0.017

* Wed Mar 23 2022 umeabot <umeabot> 0.16.0-2.mga9
+ Revision: 1820997
- Mageia 9 Mass Rebuild

* Wed Jan 05 2022 tv <tv> 0.16.0-1.mga9
+ Revision: 1766917
- update to 0.016

* Tue Feb 18 2020 umeabot <umeabot> 0.15.0-2.mga8
+ Revision: 1538559
- Mageia 8 Mass Rebuild

* Fri Nov 22 2019 tv <tv> 0.15.0-1.mga8
+ Revision: 1462175
- update to 0.015

* Wed Oct 16 2019 tv <tv> 0.14.0-1.mga8
+ Revision: 1454101
- update to 0.014

* Wed Dec 05 2018 tv <tv> 0.13.0-1.mga7
+ Revision: 1338431
- update to 0.013

* Thu Sep 20 2018 umeabot <umeabot> 0.12.0-2.mga7
+ Revision: 1286410
- Mageia 7 Mass Rebuild

* Thu Oct 12 2017 tv <tv> 0.12.0-1.mga7
+ Revision: 1171200
- update to 0.012
- add missing BRs
- update to 0.011

* Wed Oct 04 2017 tv <tv> 0.10.0-1.mga7
+ Revision: 1168274
- update to 0.010

* Sat Jul 22 2017 shlomif <shlomif> 0.8.0-1.mga7
+ Revision: 1128241
- modernize spec
- imported package perl-Term-Table

